/* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * Copyright (C) 2015  HUBzero Foundation, LLC
 *
 * Author: Leif Delgass <ldelgass@purdue.edu>
 */
#ifndef GEOVIS_COLORMAP_H
#define GEOVIS_COLORMAP_H

#include <osg/TransferFunction>

namespace GeoVis {

class ColorMap {
public:
    static void renderColorMap(osg::TransferFunction1D *map, int width, int height,
                               osg::Image *imgData,
                               bool opaque, float bgColor[3],
                               bool bgr = false,
                               int bytesPerPixel = 3);
};

}

#endif
