/* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * Copyright (C) 2016 HUBzero Foundation, LLC
 *
 * Author: Leif Delgass <ldelgass@purdue.edu>
 */

#ifndef GEOVIS_ICONS_H
#define GEOVIS_ICONS_H

#include <tr1/unordered_map>
#include <string>

#define ICON_PIN "placemark32.png"
#define ICON_PIN1 "pin01.png"
#define ICON_PIN2 "pin02.png"
#define ICON_PIN3 "pin03.png"
#define ICON_PIN4 "pin04.png"
#define ICON_PIN5 "pin05.png"
#define ICON_PIN6 "pin06.png"
#define ICON_PIN7 "pin07.png"
#define ICON_PIN8 "pin08.png"
#define ICON_PIN9 "pin09.png"
#define ICON_PIN10 "pin10.png"

namespace GeoVis {

typedef std::tr1::unordered_map<std::string, std::string> IconHashmap;
extern IconHashmap g_icons;

extern void initIconMap();
extern std::string getIconFile(const char *name);

}

#endif
